Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.torque.criteria
Interface CriteriaInterface<T>

Type Parameters:
  `T` - the implementation class

All Known Implementing Classes:
  Criteria, Criteria

Deprecated. This interface will only exist temporarily and will be removed as soon as the class org.apache.torque.util.Criteria is removed.

    @Deprecated
    public interface CriteriaInterface<T>

Interface for both the old org.apache.torque.util and the new org.apache.torque.criteria Criteria class.

Version:
  $Id: CriteriaInterface.java 1449216 2013-02-22 21:16:37Z tfischer $

Method Summary
`T` | `addAlias(String alias, String table)` Deprecated. Allows one to specify an alias for a table that can be used in various parts of the SQL.
`Map<String,? extends Object>` | `getAliases()` Deprecated. Get the table aliases.
`Map<String,Column>` | `getAsColumns()` Deprecated. Get the column aliases.
`String` | `getDbName()` Deprecated. Get the Database(Map) name.
`UniqueColumnList` | `getGroupByColumns()` Deprecated. Get group by columns.
`List<Join>` | `getJoins()` Deprecated. get the List of Joins.
`int` | `getLimit()` Deprecated. Get limit.
`long` | `getOffset()` Deprecated. Get offset.
`UniqueList<OrderBy>` | `getOrderByColumns()` Deprecated. Get order by columns.
`UniqueColumnList` | `getSelectColumns()` Deprecated. Get select columns.
`UniqueList<String>` | `getSelectModifiers()` Deprecated. Get select modifiers.
`String` | `getTableForAlias(String alias)` Deprecated. Returns the table name associated with an alias.
`boolean` | `isIgnoreCase()` Deprecated. Returns whether case should be ignored in where clauses and order by whenever String columns are encountered.
`boolean` | `isSingleRecord()` Deprecated. Is single record?
`void` | `setAll()` Deprecated. Adds "ALL " to the SQL statement.
`void` | `setDbName(String dbName)` Deprecated. Set the DatabaseMap name.
`void` | `setDistinct()` Deprecated. Adds "DISTINCT " to the SQL statement.
`T` | `setLimit(int limit)` Deprecated. Set a limit for the query
`T` | `setOffset(long offset)` Deprecated. Set the offset.

Method Detail

### getAsColumns

    Map<String,Column> getAsColumns()

  Deprecated.
  Get the column aliases.

  Returns:
    A Map which map the column alias names to the alias clauses.

### getAliases

    Map<String,? extends Object> getAliases()

  Deprecated.
  Get the table aliases.

  Returns:
    A Map which maps the table alias names to the actual table names.

### addAlias

    T addAlias(String alias,
               String table)

  Deprecated.
  Allows one to specify an alias for a table that can be used in various parts of the SQL.

  Parameters:
    `alias` - a `String` value
    `table` - a `String` value

### getTableForAlias

    String getTableForAlias(String alias)

  Deprecated.
  Returns the table name associated with an alias.

  Parameters:
    `alias` - a `String` value
  Returns:
    a `String` value

### getDbName

    String getDbName()

  Deprecated.
  Get the Database(Map) name.

  Returns:
    A String with the Database(Map) name. May be null.

### setDbName

    void setDbName(String dbName)

  Deprecated.
  Set the DatabaseMap name. If `null` is supplied, uses value provided by `Torque.getDefaultDB()`.

  Parameters:
    `dbName` - A String with the Database(Map) name.

### getJoins

    List<Join> getJoins()

  Deprecated.
  get the List of Joins. This method is meant to be called by BasePeerImpl.

  Returns:
    a List which contains objects of type Join. If the criteria does not contains any joins, the list is empty

### setAll

    void setAll()

  Deprecated.
  Adds "ALL " to the SQL statement.

### setDistinct

    void setDistinct()

  Deprecated.
  Adds "DISTINCT " to the SQL statement.

### isIgnoreCase

    boolean isIgnoreCase()

  Deprecated.
  Returns whether case should be ignored in where clauses and order by whenever String columns are encountered.

  Returns:
    True if case is ignored.

### isSingleRecord

    boolean isSingleRecord()

  Deprecated.
  Is single record?

  Returns:
    True if a single record is being returned.

### getLimit

    int getLimit()

  Deprecated.
  Get limit.

  Returns:
    An int with the value for limit.

### getOffset

    long getOffset()

  Deprecated.
  Get offset.

  Returns:
    An int with the value for offset.

### getSelectColumns

    UniqueColumnList getSelectColumns()

  Deprecated.
  Get select columns.

  Returns:
    An List with the names of the select columns.

### getSelectModifiers

    UniqueList<String> getSelectModifiers()

  Deprecated.
  Get select modifiers.

  Returns:
    An UniqueList with the select modifiers.

### getOrderByColumns

    UniqueList<OrderBy> getOrderByColumns()

  Deprecated.
  Get order by columns.

  Returns:
    An UniqueList with the name of the order columns, not null.

### getGroupByColumns

    UniqueColumnList getGroupByColumns()

  Deprecated.
  Get group by columns.

  Returns:
    An UniqueList with the name of the groupBy clause, not null.

### setLimit

    T setLimit(int limit)

  Deprecated.
  Set a limit for the query

  Parameters:
    `limit` - The upper limit for the number of records returned by a query.
  Returns:
    A modified Criteria object.

### setOffset

    T setOffset(long offset)

  Deprecated.
  Set the offset.

  Parameters:
    `offset` - how many records should be skipped at the start of the result.
  Returns:
    A modified Criteria object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 The Apache Software Foundation. All Rights Reserved.